Package org.optaplanner.core.impl.score.buildin.hardsoftlong

## Class HardSoftLongScoreInliner

- java.lang.Object
- - org.optaplanner.core.impl.score.inliner.ScoreInliner<HardSoftLongScore>
  - - org.optaplanner.core.impl.score.buildin.hardsoftlong.HardSoftLongScoreInliner

-     public class HardSoftLongScoreInliner
      extends ScoreInliner<HardSoftLongScore>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `hardScore` |
    `protected long` | `softScore` |

    - ### Fields inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `constraintMatchEnabled`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `HardSoftLongScoreInliner​(boolean constraintMatchEnabled)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LongWeightedScoreImpacter` | `buildWeightedScoreImpacter​(HardSoftLongScore constraintWeight)` |
    `HardSoftLongScore` | `extractScore​(int initScore)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### hardScore

          protected long hardScore

    - #### softScore

          protected long softScore

  - ### Constructor Detail

    - #### HardSoftLongScoreInliner

          protected HardSoftLongScoreInliner​(boolean constraintMatchEnabled)

  - ### Method Detail

    - #### buildWeightedScoreImpacter

          public LongWeightedScoreImpacter buildWeightedScoreImpacter​(HardSoftLongScore constraintWeight)

      Specified by:
        `buildWeightedScoreImpacter` in class `ScoreInliner<HardSoftLongScore>`

    - #### extractScore

          public HardSoftLongScore extractScore​(int initScore)

      Specified by:
        `extractScore` in class `ScoreInliner<HardSoftLongScore>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`